Error
A valid request URL is required to generate request examples{
"insertContactsOne": {
"firstName": "<string>",
"id": 123,
"lastName": "<string>",
"organization": {
"id": 123,
"name": "<string>"
},
"primaryEmail": "<string>",
"role": "<string>"
}
}Master data
Create a contact
Creates a contact.
POST
/
contacts
Error
A valid request URL is required to generate request examples{
"insertContactsOne": {
"firstName": "<string>",
"id": 123,
"lastName": "<string>",
"organization": {
"id": 123,
"name": "<string>"
},
"primaryEmail": "<string>",
"role": "<string>"
}
}Creates a contact.
Request body
{
"firstName": "Claire",
"lastName": "Vasseur",
"organizationId": 3,
"role": "Responsable achats",
"primaryEmail": "claire.vasseur@mecmar.example"
}
Headers
API token from your Bonx space.
Query Parameters
"firstName" is required (enter it either in parameters or request body)
"lastName" is required (enter it either in parameters or request body)
Body
application/json
Query parameters can also be provided in the request body as a JSON object
Response
200 - application/json
Response
A contact (a physical person, from a client, supplier or 3rd party partner)
Show child attributes
Show child attributes
Was this page helpful?